%global enable_tests 1

Name:       nodejs-cookie
Version:    0.0.6
Release:    1%{?dist}
Summary:    Cookie parsing and serialization for Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/shtylman/node-cookie
Source0:    http://registry.npmjs.org/cookie/-/cookie-%{version}.tgz
BuildArch:  noarch

BuildRequires:  nodejs-devel

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
%endif

%description
This Node.js module is a basic cookie parser and serializer. It doesn't
make assumptions about how you are going to deal with your cookies. It
basically just provides a way to read and write the HTTP cookie headers.

See RFC6265 for details about the HTTP header for cookies.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/cookie
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/cookie

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%{nodejs_sitelib}/mocha/bin/mocha
%endif


%files
%doc LICENSE README.md
%{nodejs_sitelib}/cookie


%changelog
* Tue Apr 09 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.6-1
- update to upstream release 0.0.6
- enable %%check
- add LICENSE

* Tue Feb 12 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.5-2
- correct capitalization in the description

* Mon Feb 11 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.5-1
- initial package
